Get Rules

Get Rules
Retrieves all Customer Rules

Get all customer rules or limit the result for a given name only.

Request
URI
GET
https://umip/api/v1/rules
COPY
Query Parameters
string
name
Optional

The name of a customer rule


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns GetRulesResponse of type(s) application/json
{
    "rules": [
        {
            "productType": "string",
            "productId": 0,
            "name": "string",
            "targetId": "string",
            "targetType": "string",
            "id": "string"
        }
    ]
}
array of object
rules
Optional

rules


401

Provided access token is missing or invalid.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v1/rules